/*******************************************************************/
/*                                                                 */
/* REXXUDEM.CMD                                                    */
/*                                                                 */
/* This program calls the various REXX external functions          */
/* provided in the REXXSHAR.C sample function package.             */
/*                                                                 */
/*                                                                 */
/*******************************************************************/
'@echo off'

d.1='ShrFileOpen'
d.2='ShrLineIn'
d.3='ShrFileEOF'
d.4='ShrFileClose'
d.5='ShrFileSize'
d.6='ShrFileSeek'
d.7='ShrFilePos'
do i=1 TO 7
   rc1=RxFuncAdd(d.i, 'REXXSHAR', d.i)
end

Say 'RxFuncAdd is complete.'

 pause

 inputFile="test.txt"
 Say "Reading file "inputFile
 handle=ShrFileOpen(inputFile)
 if handle<0 then do
    say "Unable to open file "inputFile
    call DropFuncs
    exit 1
 end

 say "Handle="handle
 x=ShrFileSize(handle)
 say "File size="ShrFileSize(handle)
 do while \ShrFileEOF(handle)
    line=ShrLineIn(handle)
    say '"'line'", Pos='ShrFilePos(handle)
    pause

 end

 Say "Seeking to 52: "ShrFileSeek(handle, 52)
 do while \ShrFileEOF(handle)
    line=ShrLineIn(handle)
    say '"'line'", Pos='ShrFilePos(handle)
 end

 rc1=ShrFileClose(handle)

call DropFuncs


say
say "Rexx Method"
do while Lines(inputFile) > 0
  line=lineIn(inputFile)
  say '"'line'"'
end

exit 0



DropFuncs:
  rc=RxFuncDrop('ShrFileOpen')
  rc=RxFuncDrop('ShrLineIn')
  rc=RxFuncDrop('ShrFileEOF')
  rc=RxFuncDrop('ShrFileClose')
  return
